<?php 
add_action( 'wp_enqueue_scripts', 'travelingist_enqueue_styles' );
function travelingist_enqueue_styles() {
	wp_enqueue_style( 'travelingist-parent-style', get_template_directory_uri() . '/style.css' ); 
} 

// Load new fonts
function travelingist_google_fonts(){
	wp_enqueue_style('travelingist-google-fonts', '//fonts.googleapis.com/css2?family=Poppins:ital,wght@0,400;0,600;1,400;1,600&display=swap', false);
}
add_action('wp_enqueue_scripts', 'travelingist_google_fonts');



// Load new header
require get_stylesheet_directory() . '/inc/custom-header.php';


function travelingist_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	$wp_customize->get_section('header_image')->title = __( 'Header Settings', 'travelingist' );
	$wp_customize->get_section('colors')->title = __( 'Other Colors', 'travelingist' );


	$wp_customize->selective_refresh->add_partial(
		'custom_logo',
		array(
			'selector'        => '.header-titles [class*=site-]:not(.logo-container .logofont)',
			'render_callback' => 'travelingist_customize_partial_site_logo',
		)
	);

	$wp_customize->selective_refresh->add_partial(
		'retina_logo',
		array(
			'selector'        => '.header-titles [class*=site-]:not(.logo-container .logofont)',
			'render_callback' => 'travelingist_customize_partial_site_logo',
		)
	);

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'blogname', array(
			'selector'        => '.logo-container .logofont',
			'render_callback' => 'travelingist_customize_partial_blogname',
		) );
		$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
			'selector'        => '.logo-container .logofont',
			'render_callback' => 'travelingist_customize_partial_blogdescription',
		) );
	}


	$wp_customize->add_setting( 'travelingist_main_color', array(
		'default'           => '#ff9e59',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'         => 'postMessage',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'travelingist_main_color', array(
		'label'       => __( 'Main Color', 'travelingist' ),
		'section'     => 'colors',
		'priority'   => 1,
		'settings'    => 'travelingist_main_color',
	) ) );


}
add_action( 'customize_register', 'travelingist_customize_register', 99999 );




if(! function_exists('travelingist_customizer_css_final_output' ) ):
	function travelingist_customizer_css_final_output(){
		?>

		<style type="text/css">

			.page-numbers li a, .page-numbers.current, span.page-numbers.dots, .main-navigation ul li a:hover { color: <?php echo esc_attr(get_theme_mod( 'travelingist_main_color')); ?>; }
			.comments-area p.form-submit input, a.continuereading, .blogpost-button, .blogposts-list .entry-header h2:after { background: <?php echo esc_attr(get_theme_mod( 'travelingist_main_color')); ?>; }


		</style>
	<?php }
	add_action( 'wp_head', 'travelingist_customizer_css_final_output' );
endif;



if ( ! function_exists( 'travelingist_customize_partial_site_logo' ) ) {
	/**
	 * Render the site logo for the selective refresh partial.
	 *
	 * Doing it this way so we don't have issues with `render_callback`'s arguments.
	 */
	function travelingist_customize_partial_site_logo() {
		the_custom_logo();
	}
}



/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function travelingist_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function travelingist_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */

function travelingist_customize_preview_js() {
	wp_enqueue_script( 'travelingist-customizer', get_stylesheet_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '1', true );
	wp_dequeue_style( 'marketingly-customizer' );
}
add_action( 'customize_preview_init', 'travelingist_customize_preview_js', 99999 );
